Subject: [bug#53523] [PATCH v7 1/2] gnu: Add tree-sitter.

From: Pierre Langlois <[email-masked]>
Date: Fri, 25 Mar 2022 12:49:02 +0000

Hi!

> * gnu/packages/text-editors.scm (tree-sitter): New variable.

I applied the patch locally and tested it, just one small nit otherwise
LGTM.  

Tested-by: Pierre Langlois <[email-masked]>
Reviewed-by: Pierre Langlois <[email-masked]>

Luis Henrique Gomes Higino <[email-masked]> writes:
> ---
>  gnu/packages/text-editors.scm | 54 +++++++++++++++++++++++++++++++++++
>  1 file changed, 54 insertions(+)
>
> diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
> index 45cc61765a..d6ec000dc6 100644
> --- a/gnu/packages/text-editors.scm
> +++ b/gnu/packages/text-editors.scm
> @@ -17,6 +17,7 @@
>  ;;; Copyright © 2021 Leo Famulari <[email-masked]>
>  ;;; Copyright © 2021 Pierre Langlois <[email-masked]>
>  ;;; Copyright © 2021 Calum Irwin <[email-masked]>
> +;;; Copyright © 2022 Luis Henrique Gomes Higino <[email-masked]>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -39,6 +40,7 @@ (define-module (gnu packages text-editors)
>    #:use-module (guix gexp)
>    #:use-module (guix git-download)
>    #:use-module (guix utils)
> +  #:use-module (guix build utils)

I don't think you need this import right?  You'll have probably noticed
a warning:

  WARNING: (gnu packages text-editors): `which' imported from both (guix build utils) and (gnu packages base)
  
When this happens we can resolve the conflict with a prefix, so we can
have the `which' procedure and the `base::which' package.

  #:use-module ((gnu packages base) #:prefix base:)
  
In this case though we just don't need the import at all though I think.

Thanks!
Pierre